povray_3.7.0.8-1_amd64.deb


Advertisement

Description

povray - Persistence of vision raytracer (3D renderer)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename povray_3.7.0.8-1_amd64.deb
Package name povray
Package version 3.7.0.8
Package release 1
Package architecture amd64
Package type deb
Category universe/graphics
Homepage http://www.povray.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.19 MB
Installed size 3.91 MB
POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
and light sources of the real world to calculate photorealistic, computer
generated images. Because of the nature of ray tracing, this process is
quite CPU-intensive, at the benefit of more realistic images compared to
real time rendering techniques. For example, in POV-Ray, you can model a
glass prism, and you will see a spectrum in the resulting image.
POV-Ray by itself is a command-line utility that will take scene
descriptions, written in a special easy-to-understand language, to
produce ray-traced images (or even a sequence of images, for animations).
You can either write those scene-descriptions by hand, or use external
tools to generate (parts of) the scene.
povray-includes is highly recommended in addition to this package.

Alternatives

Package Version Architecture Repository
povray_3.7.0.8-1_i386.deb 3.7.0.8 i386 Ubuntu Universe
povray - - -

Requires

Name Value
libboost-system1.67.0 -
libboost-thread1.67.0 -
libc6 >= 2.27
libgcc1 >= 1:3.0
libilmbase23 >= 2.2.0
libjpeg8 >= 8c
libopenexr23 -
libpng16-16 >= 1.6.2-1
libsdl1.2debian >= 1.2.11
libstdc++6 >= 5.2
libtiff5 >= 4.0.3
zlib1g >= 1:1.1.4

Conflicts

Name Value
povray-3.5 -
povray-3.6 -

Replaces

Name Value
povray-3.5 -
povray-3.6 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package povray_3.7.0.8-1_amd64.deb
Source Package povray

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install povray deb package:
    # sudo apt-get install povray

Files

Path
/etc/povray/3.7/povray.conf
/etc/povray/3.7/povray.ini
/usr/bin/povray
/usr/share/doc/povray/AUTHORS
/usr/share/doc/povray/README.Debian
/usr/share/doc/povray/README.md.gz
/usr/share/doc/povray/README.unix.gz
/usr/share/doc/povray/changelog.Debian.gz
/usr/share/doc/povray/copyright
/usr/share/doc/povray/revision.txt.gz
/usr/share/man/man1/povray.1.gz
/usr/share/povray-3.7/icons/file_inc_classic_16.png
/usr/share/povray-3.7/icons/file_inc_classic_32.png
/usr/share/povray-3.7/icons/file_inc_classic_48.png
/usr/share/povray-3.7/icons/file_inc_classic_64.png
/usr/share/povray-3.7/icons/file_inc_crystal_16.png
/usr/share/povray-3.7/icons/file_inc_crystal_32.png
/usr/share/povray-3.7/icons/file_inc_crystal_48.png
/usr/share/povray-3.7/icons/file_inc_crystal_64.png
/usr/share/povray-3.7/icons/file_inc_slick_16.png
/usr/share/povray-3.7/icons/file_inc_slick_32.png
/usr/share/povray-3.7/icons/file_inc_slick_48.png
/usr/share/povray-3.7/icons/file_inc_slick_64.png
/usr/share/povray-3.7/icons/file_pov_classic_16.png
/usr/share/povray-3.7/icons/file_pov_classic_32.png
/usr/share/povray-3.7/icons/file_pov_classic_48.png
/usr/share/povray-3.7/icons/file_pov_classic_64.png
/usr/share/povray-3.7/icons/file_pov_crystal_16.png
/usr/share/povray-3.7/icons/file_pov_crystal_32.png
/usr/share/povray-3.7/icons/file_pov_crystal_48.png
/usr/share/povray-3.7/icons/file_pov_crystal_64.png
/usr/share/povray-3.7/icons/file_pov_slick_16.png
/usr/share/povray-3.7/icons/file_pov_slick_32.png
/usr/share/povray-3.7/icons/file_pov_slick_48.png
/usr/share/povray-3.7/icons/file_pov_slick_64.png
/usr/share/povray-3.7/icons/povray_16.png
/usr/share/povray-3.7/icons/povray_32.png
/usr/share/povray-3.7/icons/povray_48.png
/usr/share/povray-3.7/icons/povray_64.png
/usr/share/povray-3.7/ini/allanim.ini
/usr/share/povray-3.7/ini/allstill.ini
/usr/share/povray-3.7/ini/low.ini
/usr/share/povray-3.7/ini/pngflc.ini
/usr/share/povray-3.7/ini/pngfli.ini
/usr/share/povray-3.7/ini/povray.ini
/usr/share/povray-3.7/ini/quickres.ini
/usr/share/povray-3.7/ini/res120.ini
/usr/share/povray-3.7/ini/res1k.ini
/usr/share/povray-3.7/ini/res320.ini
/usr/share/povray-3.7/ini/res640.ini
/usr/share/povray-3.7/ini/res800.ini
/usr/share/povray-3.7/ini/slow.ini
/usr/share/povray-3.7/ini/tgaflc.ini
/usr/share/povray-3.7/ini/tgafli.ini
/usr/share/povray-3.7/ini/zipflc.ini
/usr/share/povray-3.7/ini/zipfli.ini
/usr/share/povray-3.7/scripts/allanim.sh
/usr/share/povray-3.7/scripts/allscene.sh
/usr/share/povray-3.7/scripts/portfolio.sh
/usr/share/povray-3.7/scripts/render_anim.sh
/usr/share/povray-3.7/scripts/render_scene.sh
/usr/share/povray-3.7/scripts/rerunpov.sh
/usr/share/povray-3.7/scripts/runpov.sh

Changelog

2018-12-19 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.8-1) unstable; urgency=medium
* New upstream release.
* Mark povray as Multi-Arch: foreign.  (Closes: #911841)
* Switch to debhelper-compat (= 11).
* Bump Standards-Version to 4.2.1, no changes needed.
2018-04-06 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.7-1) unstable; urgency=medium
* New upstream release.
* Switch to debhelper compat level 11.
* Bump Standards-Version to 4.1.4, no changes needed.
* Mark povray-doc as Multi-Arch: foreign.
* Add debian/upstream/metadata.
* Fix new Lintian issues.
* Switch Vcs-* URLs to salsa.debian.org.
2017-11-20 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.4-2) unstable; urgency=medium
* Fix kFreeBSD detection.
* Relax prebuild.sh directory check if $0 contains an absolute path, fixing
FTBFS on Hurd and kFreeBSD.
2017-11-18 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.4-1) unstable; urgency=medium
* New upstream release.
* Supports C++11.
* Refresh/remove patches that were cherry-picked from upstream git.
* Refresh debian/copyright for updated convenience libraries.
* Set Priority to optional.
* Bump Standards-Version to 4.1.1.
* Switch to debhelper compat level 10.
* Enable more hardening.
* Switch from dh_install --list-missing to dh_missing.
* Set Rules-Requires-Root: no.
* Build again povray-doc, 3.7.0.1 brought back the documentation.
* Update lintian overrides.
2016-03-12 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.0-9) unstable; urgency=medium
* Explicitly build with -std=c++03 to support GCC 6.  (Closes: #811802)
* Link with -lboost_date_time, needed for DEB_BUILD_OPTIONS=noopt.
(Closes: #809912)
* Fix more typos.
* Update Vcs-Git URL.
* Bump Standards-Version to 3.9.7, no changes needed.
2015-01-26 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.0-8) unstable; urgency=medium
* no-usr-local.patch: Fix references to /usr/local/etc in example scripts.
(LP: #1343048)
* report-missing-povray-examples.patch: Let scripts report that
povray-examples may be needed if scene data cannot be found.
* povray-examples: Add symlink at upstream's location for the scenes:
/usr/share/povray-3.7/scenes -> ../doc/povray/examples
* scene-directory-symlink.patch: Let scripts cope with SCENE_DIR being a
symlink.
2014-12-15 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.0-7) unstable; urgency=medium
* 40_bashism.diff: Use bash as the interpreter for scripts that use
non-posix extensions of the 'read' builtin (allanim.sh, allscene.sh,
portfolio.sh). Patch all scripts consistently.  (Closes: #772356)
2014-12-14 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.0-6) unstable; urgency=medium
* povray.maintscript: New. Use dpkg-maintscript-helper to rename the
conffiles from the squeeze package: /etc/povray/3.6/povray.{ini,conf} to
/etc/povray/3.7/povray.{ini,conf}. Needs ${misc:Pre-Depends}.
* povray.preinst: Remove. Directly renaming the directory resulted in dpkg
prompting about modified conffiles.
* povray.postinst: New. Remove the empty directory /etc/povray/3.6 after
dpkg-maintscript-helper handled the conffiles.
* Update Vcs-Browser URL.
* Bump Standards-Version to 3.9.6, no changes needed.
2014-09-29 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.0-5) unstable; urgency=medium
* povray-includes: No longer use a symlinked doc directory to restore
installability along binNMUs of the povray binary package.
2014-05-27 - Andreas Beckmann <anbe@debian.org>
povray (1:3.7.0.0-4) unstable; urgency=medium
* kfreebsd.patch: Detect kFreeBSD as BSD-style Unix to fix FTBFS, thanks to
Graham Inggs.  (Closes: #745447)
* Update lintian overrides.

See Also

Package Description
power-calibrate_0.01.26-1_amd64.deb processor power calibration tool
powercap-utils_0.1.1-1_amd64.deb Utilities for accessing the powercap Linux kernel feature
powerdebug_0.7.0-2013.08-1build3_amd64.deb tool to display regulator, sensor and clock information
powerdevil-data_5.15.4-0ubuntu1_all.deb Global power saver settings data files
powerdevil-dev_5.15.4-0ubuntu1_amd64.deb Global power saver settings
powerdevil_5.15.4-0ubuntu1_amd64.deb Global power saver settings
powerline-doc_2.7-2_all.deb prompt and statusline utility (documentation)
powerline-gitstatus_1.3.1-1_all.deb Powerline Git segment
powerline_2.7-2_amd64.deb prompt and statusline utility
powerman_2.3.5-1build1_amd64.deb Centralized Power Distribution Unit (PDU) management
powermanagement-interface_0.3.21_amd64.deb platform neutral powermanagement interface
powermanga-data_0.93.1-3_all.deb graphics and audio data for powermanga
powermanga_0.93.1-3_amd64.deb vertical shoot 'em up with colourful 3D graphics
powernap-common_2.21-0ubuntu1_all.deb common library files required by powernap
powernap-server_2.21-0ubuntu1_all.deb PowerNap Power Services suite
Advertisement
Advertisement